(*----------------------------------------------------------------------*)
(*             Toggle_Option -- Toggle an option on or off              *)
(*----------------------------------------------------------------------*)

PROCEDURE Toggle_Option( Option_Name : AnyStr; VAR Option_Flag : BOOLEAN );

BEGIN (* Toggle_Option *)

   Option_Flag := NOT Option_Flag;

   Save_Screen( Saved_Screen );
   Draw_Menu_Frame( 10, 10, 55, 15, Menu_Frame_Color,
                    Menu_Text_Color, '' );

   IF Option_Flag THEN
      BEGIN
         WRITELN;
         WRITELN('*** ',Option_Name,' now ON');
      END
   ELSE
      BEGIN
         WRITELN;
         WRITELN('*** ',Option_Name,' now OFF');
      END;

   DELAY( Two_Second_Delay );

   Restore_Screen( Saved_Screen );
   Reset_Global_Colors;

END   (* Toggle_Option *);
